# Class CalDavCalendarSource

java.lang.Object
com.codename1.calendar.CalendarSource
com.codename1.calendar.CalDavCalendarSource

public class CalDavCalendarSource extends CalendarSource
Standards-based CalDAV source. Pass the account's calendar-home URL; the source discovers collections below it and uses RFC 6578 sync tokens when the server advertises them.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalDavCalendarSource(String id, String displayName, String calendarHomeUrl, CalDavAuthentication authentication)`
  `CalDavCalendarSource(String id, String displayName, String calendarHomeUrl, CalDavAuthentication authentication, CalendarHttpTransport transport)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AsyncResource<Boolean>`
  `deleteEvent(String calendarId, String eventId, CalendarMutationScope scope, String version)`
  `AsyncResource<Boolean>`
  `deleteTask(String calendarId, String taskId, CalendarMutationScope scope, String version)`
  `CalendarAuthorizationStatus`
  `getAuthorizationStatus(CalendarAccess access)`
  `CalendarCapabilities`
  `getCapabilities()`
  `AsyncResource<CalendarEvent>`
  `getEvent(String calendarId, String eventId)`
  `AsyncResource<CalendarTask>`
  `getTask(String calendarId, String taskId)`
  `AsyncResource<CalendarPage<CalendarInfo>>`
  `listCalendars(CalendarInfo.ContentType type, String pageToken)`
  `AsyncResource<CalendarPage<CalendarEvent>>`
  `queryEvents(CalendarQuery query)`
  `AsyncResource<CalendarPage<CalendarTask>>`
  `queryTasks(CalendarQuery query)`
  `AsyncResource<CalendarAuthorizationStatus>`
  `requestAuthorization(CalendarAccess access)`
  `AsyncResource<CalendarEvent>`
  `saveEvent(CalendarEvent event, CalendarMutationScope scope)`
  `AsyncResource<CalendarTask>`
  `saveTask(CalendarTask task, CalendarMutationScope scope)`

  ### Methods inherited from class CalendarSource

  `addChangeListener, completed, deleteCalendar, deleteCalendar, fireChange, getDisplayName, getId, isAvailable, queryFreeBusy, removeChangeListener, respondToEvent, saveCalendar, unavailable, unsupported`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CalDavCalendarSource

    public CalDavCalendarSource(String id, String displayName, String calendarHomeUrl, CalDavAuthentication authentication)

  - ### CalDavCalendarSource

    public CalDavCalendarSource(String id, String displayName, String calendarHomeUrl, CalDavAuthentication authentication, CalendarHttpTransport transport)

- ## Method Details

  - ### getCapabilities

    public CalendarCapabilities getCapabilities()
    Overrides:
      `getCapabilities` in class `CalendarSource`

  - ### getAuthorizationStatus

    public CalendarAuthorizationStatus getAuthorizationStatus(CalendarAccess access)
    Overrides:
      `getAuthorizationStatus` in class `CalendarSource`

  - ### requestAuthorization

    public AsyncResource<CalendarAuthorizationStatus> requestAuthorization(CalendarAccess access)
    Overrides:
      `requestAuthorization` in class `CalendarSource`

  - ### listCalendars

    public AsyncResource<CalendarPage<CalendarInfo>> listCalendars(CalendarInfo.ContentType type, String pageToken)
    Overrides:
      `listCalendars` in class `CalendarSource`

  - ### queryEvents

    public AsyncResource<CalendarPage<CalendarEvent>> queryEvents(CalendarQuery query)
    Overrides:
      `queryEvents` in class `CalendarSource`

  - ### getEvent

    public AsyncResource<CalendarEvent> getEvent(String calendarId, String eventId)
    Overrides:
      `getEvent` in class `CalendarSource`

  - ### saveEvent

    public AsyncResource<CalendarEvent> saveEvent(CalendarEvent event, CalendarMutationScope scope)
    Overrides:
      `saveEvent` in class `CalendarSource`

  - ### deleteEvent

    public AsyncResource<Boolean> deleteEvent(String calendarId, String eventId, CalendarMutationScope scope, String version)
    Overrides:
      `deleteEvent` in class `CalendarSource`

  - ### queryTasks

    public AsyncResource<CalendarPage<CalendarTask>> queryTasks(CalendarQuery query)
    Overrides:
      `queryTasks` in class `CalendarSource`

  - ### getTask

    public AsyncResource<CalendarTask> getTask(String calendarId, String taskId)
    Overrides:
      `getTask` in class `CalendarSource`

  - ### saveTask

    public AsyncResource<CalendarTask> saveTask(CalendarTask task, CalendarMutationScope scope)
    Overrides:
      `saveTask` in class `CalendarSource`

  - ### deleteTask

    public AsyncResource<Boolean> deleteTask(String calendarId, String taskId, CalendarMutationScope scope, String version)
    Overrides:
      `deleteTask` in class `CalendarSource`